# Enum Class ClientState

java.lang.Object
java.lang.Enum<ClientState>
it.polimi.ingsw.is25am31.view.ClientState

All Implemented Interfaces:
  `Serializable`, `Comparable<ClientState>`, `Constable`

public enum ClientState extends Enum<ClientState>
Enumeration representing the different states a client can be in during the game. Each state corresponds to a specific phase or condition of the client's interaction with the game, from initial connection through game completion. The client state determines what actions are available to the player and how the user interface should be presented

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ASSEMBLE`
  `CREW_PLACING`
  `EFFECT_RESOLUTION`
  `ENDED_ASSEMBLE`
  `ENDGAME`
  `FLIGHT`
  `GAME_SELECTION`
  `INITIAL`
  `LOBBY`
  `LOCKED`
  `NICKNAME_SETTING`
  `SPECTATOR`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ClientState`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ClientState[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### GAME_SELECTION

    public static final ClientState GAME_SELECTION

  - ### LOCKED

    public static final ClientState LOCKED

  - ### NICKNAME_SETTING

    public static final ClientState NICKNAME_SETTING

  - ### INITIAL

    public static final ClientState INITIAL

  - ### LOBBY

    public static final ClientState LOBBY

  - ### ASSEMBLE

    public static final ClientState ASSEMBLE

  - ### ENDED_ASSEMBLE

    public static final ClientState ENDED_ASSEMBLE

  - ### CREW_PLACING

    public static final ClientState CREW_PLACING

  - ### FLIGHT

    public static final ClientState FLIGHT

  - ### EFFECT_RESOLUTION

    public static final ClientState EFFECT_RESOLUTION

  - ### ENDGAME

    public static final ClientState ENDGAME

  - ### SPECTATOR

    public static final ClientState SPECTATOR

- ## Method Details

  - ### values

    public static ClientState[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ClientState valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null